openapi: 3.0.0
info:
  contact:
    name: VMware
  description: Interconnect Appliances APIs.
  license:
    name: Copyright (c) 2016-2017 VMware, Inc. All rights reserved.
  termsOfService: https://hcx.vmware.com/terms-and-conditions
  title: Interconnect Appliances APIs.
  version: "1.0"
servers:
- url: https://{server}/hybridity/api/interconnect
  variables:
    server:
      default: api.example.com
      description: server host name
tags:
- description: Interconnect Appliances Apis
  name: Appliances
paths:
  /appliances:
    get:
      description: Get all appliances
      operationId: getAllInterconnectAppliances
      responses:
        200:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/appliancesListResponse'
          description: Accepted
        401:
          description: Unauthorized
        403:
          description: Forbidden
        500:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errorResponse'
          description: Internal Server Error
      summary: Get all appliances
      tags:
      - Appliances
  /appliances/query:
    post:
      description: Query interconnect appliances
      operationId: getInterconnectAppliancesByFilter
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/appliancesFilter'
        description: Filter object.
        required: true
      responses:
        200:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/appliancesListResponse'
          description: Accepted
        401:
          description: Unauthorized
        403:
          description: Forbidden
        400:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errorResponse'
          description: Bad Request
        500:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errorResponse'
          description: Internal Server Error
      summary: Query interconnect appliances
      tags:
      - Appliances
  /appliances/{applianceId}:
    put:
      description: Update interconnect appliance.
      operationId: updateInterconnectAppliance
      parameters:
      - description: appliance ID
        explode: false
        in: path
        name: applianceId
        required: true
        schema:
          type: string
        style: simple
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/applianceSettings'
        description: request payload.
        required: true
      responses:
        202:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/applianceActionPostResponse'
          description: Accepted
        400:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/applianceActionPostResponse'
          description: Bad Request
        401:
          description: Unauthorized
        403:
          description: Forbidden
        404:
          description: Not Found
        422:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/applianceActionPostResponse'
          description: Unprocessable Entity
        500:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errorResponse'
          description: Internal Server Error
      summary: Update interconnect appliance.
      tags:
      - Appliances
  /appliances/{applianceId}/redeploy:
    post:
      description: Redeploy interconnect appliance.
      operationId: redeployInterconnectAppliance
      parameters:
      - description: appliance ID
        explode: false
        in: path
        name: applianceId
        required: true
        schema:
          type: string
        style: simple
      - description: force parameter
        explode: true
        in: query
        name: force
        required: false
        schema:
          default: "false"
          type: string
        style: form
      - description: local parameter
        explode: true
        in: query
        name: local
        required: false
        schema:
          default: "false"
          type: string
        style: form
      requestBody:
        $ref: '#/components/requestBodies/applianceActionBody'
      responses:
        202:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/applianceActionPostResponse'
          description: Accepted
        400:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/applianceActionPostResponse'
          description: Bad Request
        401:
          description: Unauthorized
        403:
          description: Forbidden
        404:
          description: Not Found
        422:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/applianceActionPostResponse'
          description: Unprocessable Entity
        500:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errorResponse'
          description: Internal Server Error
      summary: Redeploy interconnect appliance.
      tags:
      - Appliances
  /appliances/{applianceId}/forceSync:
    post:
      description: Force sync interconnect appliance.
      operationId: forceSyncInterconnectAppliance
      parameters:
      - description: appliance ID
        explode: false
        in: path
        name: applianceId
        required: true
        schema:
          type: string
        style: simple
      - description: force parameter
        explode: true
        in: query
        name: force
        required: false
        schema:
          default: "false"
          type: string
        style: form
      - description: local parameter
        explode: true
        in: query
        name: local
        required: false
        schema:
          default: "false"
          type: string
        style: form
      requestBody:
        $ref: '#/components/requestBodies/applianceActionBody'
      responses:
        202:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/applianceActionPostResponse'
          description: Accepted
        400:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/applianceActionPostResponse'
          description: Bad Request
        401:
          description: Unauthorized
        403:
          description: Forbidden
        404:
          description: Not Found
        422:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/applianceActionPostResponse'
          description: Unprocessable Entity
        500:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errorResponse'
          description: Internal Server Error
      summary: Force sync interconnect appliance.
      tags:
      - Appliances
  /appliances/{applianceId}/diagnose:
    post:
      description: Diagnose interconnect appliance.
      operationId: diagnoseInterconnectAppliance
      parameters:
      - description: appliance ID
        explode: false
        in: path
        name: applianceId
        required: true
        schema:
          type: string
        style: simple
      - description: force parameter
        explode: true
        in: query
        name: force
        required: false
        schema:
          default: "false"
          type: string
        style: form
      - description: local parameter
        explode: true
        in: query
        name: local
        required: false
        schema:
          default: "false"
          type: string
        style: form
      requestBody:
        $ref: '#/components/requestBodies/applianceActionBody'
      responses:
        202:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/applianceActionPostResponse'
          description: Accepted
        400:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/applianceActionPostResponse'
          description: Bad Request
        401:
          description: Unauthorized
        403:
          description: Forbidden
        404:
          description: Not Found
        422:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/applianceActionPostResponse'
          description: Unprocessable Entity
        500:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errorResponse'
          description: Internal Server Error
      summary: Diagnose interconnect appliance.
      tags:
      - Appliances
  /appliances/{applianceId}/upgrade:
    post:
      description: Upgrade interconnect appliance.
      operationId: upgradeInterconnectAppliance
      parameters:
      - description: appliance ID
        explode: false
        in: path
        name: applianceId
        required: true
        schema:
          type: string
        style: simple
      - description: force parameter
        explode: true
        in: query
        name: force
        required: false
        schema:
          default: "false"
          type: string
        style: form
      - description: local parameter
        explode: true
        in: query
        name: local
        required: false
        schema:
          default: "false"
          type: string
        style: form
      requestBody:
        $ref: '#/components/requestBodies/applianceActionBody'
      responses:
        202:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/applianceActionPostResponse'
          description: Accepted
        400:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/applianceActionPostResponse'
          description: Bad Request
        401:
          description: Unauthorized
        403:
          description: Forbidden
        404:
          description: Not Found
        422:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/applianceActionPostResponse'
          description: Unprocessable Entity
        500:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errorResponse'
          description: Internal Server Error
      summary: Upgrade interconnect appliance.
      tags:
      - Appliances
components:
  parameters:
    applianceIdParam:
      description: appliance ID
      explode: false
      in: path
      name: applianceId
      required: true
      schema:
        type: string
      style: simple
    forceParam:
      description: force parameter
      explode: true
      in: query
      name: force
      required: false
      schema:
        default: "false"
        type: string
      style: form
    localParam:
      description: local parameter
      explode: true
      in: query
      name: local
      required: false
      schema:
        default: "false"
        type: string
      style: form
  requestBodies:
    applianceActionBody:
      content:
        application/json:
          schema:
            type: string
      description: request payload.
      required: false
  responses:
    InternalServerError:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/errorResponse'
      description: Internal Server Error
    BadRequest:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/errorResponse'
      description: Bad Request
    ApplicationActionBadRequest:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/applianceActionPostResponse'
      description: Bad Request
    ApplicationActionUnprocessibleEntity:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/applianceActionPostResponse'
      description: Unprocessable Entity
    ApplicationActionSuccessResponse:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/applianceActionPostResponse'
      description: Accepted
    SucessGetResponse:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/appliancesListResponse'
      description: Accepted
  schemas:
    appliances:
      example:
        updateInfo:
          updateVersion:
            patch: 9
            major: 2
            minor: 7
            build: 3
          updateAvailable: true
        applianceId: applianceId
        applianceName: applianceName
        dvsId: dvsId
        moref: moref
        endpointId: endpointId
        cmpId: cmpId
        dvsName: dvsName
        applianceStatus:
          detailedMessage: detailedMessage
          state: state
        applianceVersion:
          patch: 9
          major: 2
          minor: 7
          build: 3
        storage:
          cmpId: cmpId
          name: name
          cmpName: cmpName
          cmpType: cmpType
          id: id
          type: type
          status:
            errorMessage: errorMessage
            state: state
        networks:
        - resourceId: resourceId
          networkDescription: networkDescription
          backingId: backingId
          interface: interface
          type: type
          prefixLength: 0
          provider: provider
          scope: scope
          networkId: networkId
          id: id
          networkType: networkType
          dvpgMoref: dvpgMoref
          backingType: backingType
          enableBridge: true
          vCenterInstanceId: vCenterInstanceId
          ip:
          - ip
          - ip
          dns:
          - dns
          - dns
          ipAddress: ipAddress
          bridgeConfig:
            flapThreshold: 1
            flapClearThreshold: 5
            localAddress: localAddress
            id: id
            remoteAddress: remoteAddress
          backingName: backingName
          mtu: 6
          tags:
          - tags
          - tags
          staticRoutes:
          - nextHop: nextHop
            network: network
          - nextHop: nextHop
            network: network
          resourcePoolId: resourcePoolId
          ipPoolId: ipPoolId
          stretchId: stretchId
          gateway: gateway
        - resourceId: resourceId
          networkDescription: networkDescription
          backingId: backingId
          interface: interface
          type: type
          prefixLength: 0
          provider: provider
          scope: scope
          networkId: networkId
          id: id
          networkType: networkType
          dvpgMoref: dvpgMoref
          backingType: backingType
          enableBridge: true
          vCenterInstanceId: vCenterInstanceId
          ip:
          - ip
          - ip
          dns:
          - dns
          - dns
          ipAddress: ipAddress
          bridgeConfig:
            flapThreshold: 1
            flapClearThreshold: 5
            localAddress: localAddress
            id: id
            remoteAddress: remoteAddress
          backingName: backingName
          mtu: 6
          tags:
          - tags
          - tags
          staticRoutes:
          - nextHop: nextHop
            network: network
          - nextHop: nextHop
            network: network
          resourcePoolId: resourcePoolId
          ipPoolId: ipPoolId
          stretchId: stretchId
          gateway: gateway
        computeProfileId: computeProfileId
        compute:
          cmpId: cmpId
          name: name
          cmpName: cmpName
          cmpType: cmpType
          id: id
          type: type
          status:
            errorMessage: errorMessage
            state: state
        peerAppliances:
        - null
        - null
        features:
          proximityRouting:
            version: version
            enabled: true
        folder:
          cmpId: cmpId
          name: name
          cmpName: cmpName
          id: id
          type: type
          status:
            errorMessage: errorMessage
            state: state
        serviceMeshId: serviceMeshId
        networkExtensionCount: 5
        applianceType: applianceType
        location: location
        stretchCapacity: 2
        config:
          trafficEnggCfg:
            isTcpFlowConditioningEnabled: true
            isAppPathResiliencyEnabled: true
          uplinkIps:
          - uplinkIps
          - uplinkIps
        status:
          summary:
            servicePipelineStatus: servicePipelineStatus
            wanOptStatus: wanOptStatus
            reasons:
            - reasons
            - reasons
            systemState: systemState
            transportSummary:
            - totalActiveTunnelCount: 7
              transportIp: transportIp
              aggregatedTunnelStatus: aggregatedTunnelStatus
              name: name
              totalTunnelCount: 4
            - totalActiveTunnelCount: 7
              transportIp: transportIp
              aggregatedTunnelStatus: aggregatedTunnelStatus
              name: name
              totalTunnelCount: 4
            overallEncryptionTunnelStatus: overallEncryptionTunnelStatus
            overallTransportStatus: overallTransportStatus
            encryptionTunnelSummary:
              totalActiveTunnelCount: 1
              aggregatedTunnelStatus: aggregatedTunnelStatus
              totalTunnelCount: 1
            overallStatus: overallStatus
          timestamp: 1
          statistics:
            Tunnels:
            - RemoteAddress: RemoteAddress
              LocalAddress: LocalAddress
              TunnelType: TunnelType
              LocalPort: LocalPort
              RemotePort: RemotePort
              Summary: Summary
              Counters:
                RxPacketRate: 2.884162126668780246063761296682059764862060546875
                RxPacketFrame: 5.02500479152029466689555192715488374233245849609375
                TxPacketOverruns: 8.7620420127490010742121739895083010196685791015625
                TxPacketCarrier: 9.0183481860707832566959041287191212177276611328125
                TxBytes: 1.2846590061165319429647979632136411964893341064453125
                RxBitRate: 6.87805222012787620400331434211693704128265380859375
                RxPackets: 6.8468526983526398765889098285697400569915771484375
                RxPacketOverruns: 4.9652184929849543237878606305457651615142822265625
                TxPacketErrors: 9.3693102714106686335071572102606296539306640625
                Collisions: 6.438423552598546706349225132726132869720458984375
                TxPacketDropped: 6.683562403749608193948006373830139636993408203125
                TxQueuelen: 3.557195227068097320710649000830017030239105224609375
                TxPackets: 9.965781217890562260208753286860883235931396484375
                RxBytes: 6.96511769763884558415156789124011993408203125
                TxBitRate: 5.94489560761401580890606055618263781070709228515625
                TxPacketRate: 6.77832496304801335185175048536621034145355224609375
                RxPacketDropped: 1.173074250955943309548956676735542714595794677734375
                RxPacketErrors: 7.4577447736837658709418974467553198337554931640625
              Id: Id
              Timestamp: Timestamp
              Detail: Detail
              Ikev2Status: Ikev2Status
            - RemoteAddress: RemoteAddress
              LocalAddress: LocalAddress
              TunnelType: TunnelType
              LocalPort: LocalPort
              RemotePort: RemotePort
              Summary: Summary
              Counters:
                RxPacketRate: 2.884162126668780246063761296682059764862060546875
                RxPacketFrame: 5.02500479152029466689555192715488374233245849609375
                TxPacketOverruns: 8.7620420127490010742121739895083010196685791015625
                TxPacketCarrier: 9.0183481860707832566959041287191212177276611328125
                TxBytes: 1.2846590061165319429647979632136411964893341064453125
                RxBitRate: 6.87805222012787620400331434211693704128265380859375
                RxPackets: 6.8468526983526398765889098285697400569915771484375
                RxPacketOverruns: 4.9652184929849543237878606305457651615142822265625
                TxPacketErrors: 9.3693102714106686335071572102606296539306640625
                Collisions: 6.438423552598546706349225132726132869720458984375
                TxPacketDropped: 6.683562403749608193948006373830139636993408203125
                TxQueuelen: 3.557195227068097320710649000830017030239105224609375
                TxPackets: 9.965781217890562260208753286860883235931396484375
                RxBytes: 6.96511769763884558415156789124011993408203125
                TxBitRate: 5.94489560761401580890606055618263781070709228515625
                TxPacketRate: 6.77832496304801335185175048536621034145355224609375
                RxPacketDropped: 1.173074250955943309548956676735542714595794677734375
                RxPacketErrors: 7.4577447736837658709418974467553198337554931640625
              Id: Id
              Timestamp: Timestamp
              Detail: Detail
              Ikev2Status: Ikev2Status
      properties:
        applianceId:
          type: string
        applianceType:
          type: string
        applianceName:
          type: string
        serviceMeshId:
          type: string
        computeProfileId:
          type: string
        location:
          type: string
        endpointId:
          type: string
        peerAppliances:
          items:
            $ref: '#/components/schemas/appliance'
          type: array
        config:
          $ref: '#/components/schemas/appliancesConfig'
        applianceStatus:
          $ref: '#/components/schemas/appliances_applianceStatus'
        compute:
          $ref: '#/components/schemas/compute'
        storage:
          $ref: '#/components/schemas/storage'
        folder:
          $ref: '#/components/schemas/folder'
        networks:
          items:
            $ref: '#/components/schemas/applianceNetwork'
          type: array
        dvsId:
          type: string
        networkExtensionCount:
          type: integer
        dvsName:
          type: string
        moref:
          type: string
        cmpId:
          type: string
        applianceVersion:
          $ref: '#/components/schemas/applianceVersion'
        updateInfo:
          $ref: '#/components/schemas/applianceUpdateInfo'
        stretchCapacity:
          type: integer
        features:
          $ref: '#/components/schemas/appliances_features'
        status:
          $ref: '#/components/schemas/appliances_status'
      type: object
    appliancesFilter:
      properties:
        filter:
          $ref: '#/components/schemas/appliancesFilter_filter'
      type: object
    applianceSettings:
      properties:
        applianceName:
          type: string
        credentials:
          items:
            $ref: '#/components/schemas/applianceSettings_credentials'
          type: array
      type: object
    errorResponse:
      properties:
        errors:
          items:
            $ref: '#/components/schemas/error'
          type: array
      type: object
    appliancesListResponse:
      example:
        items:
        - updateInfo:
            updateVersion:
              patch: 9
              major: 2
              minor: 7
              build: 3
            updateAvailable: true
          applianceId: applianceId
          applianceName: applianceName
          dvsId: dvsId
          moref: moref
          endpointId: endpointId
          cmpId: cmpId
          dvsName: dvsName
          applianceStatus:
            detailedMessage: detailedMessage
            state: state
          applianceVersion:
            patch: 9
            major: 2
            minor: 7
            build: 3
          storage:
            cmpId: cmpId
            name: name
            cmpName: cmpName
            cmpType: cmpType
            id: id
            type: type
            status:
              errorMessage: errorMessage
              state: state
          networks:
          - resourceId: resourceId
            networkDescription: networkDescription
            backingId: backingId
            interface: interface
            type: type
            prefixLength: 0
            provider: provider
            scope: scope
            networkId: networkId
            id: id
            networkType: networkType
            dvpgMoref: dvpgMoref
            backingType: backingType
            enableBridge: true
            vCenterInstanceId: vCenterInstanceId
            ip:
            - ip
            - ip
            dns:
            - dns
            - dns
            ipAddress: ipAddress
            bridgeConfig:
              flapThreshold: 1
              flapClearThreshold: 5
              localAddress: localAddress
              id: id
              remoteAddress: remoteAddress
            backingName: backingName
            mtu: 6
            tags:
            - tags
            - tags
            staticRoutes:
            - nextHop: nextHop
              network: network
            - nextHop: nextHop
              network: network
            resourcePoolId: resourcePoolId
            ipPoolId: ipPoolId
            stretchId: stretchId
            gateway: gateway
          - resourceId: resourceId
            networkDescription: networkDescription
            backingId: backingId
            interface: interface
            type: type
            prefixLength: 0
            provider: provider
            scope: scope
            networkId: networkId
            id: id
            networkType: networkType
            dvpgMoref: dvpgMoref
            backingType: backingType
            enableBridge: true
            vCenterInstanceId: vCenterInstanceId
            ip:
            - ip
            - ip
            dns:
            - dns
            - dns
            ipAddress: ipAddress
            bridgeConfig:
              flapThreshold: 1
              flapClearThreshold: 5
              localAddress: localAddress
              id: id
              remoteAddress: remoteAddress
            backingName: backingName
            mtu: 6
            tags:
            - tags
            - tags
            staticRoutes:
            - nextHop: nextHop
              network: network
            - nextHop: nextHop
              network: network
            resourcePoolId: resourcePoolId
            ipPoolId: ipPoolId
            stretchId: stretchId
            gateway: gateway
          computeProfileId: computeProfileId
          compute:
            cmpId: cmpId
            name: name
            cmpName: cmpName
            cmpType: cmpType
            id: id
            type: type
            status:
              errorMessage: errorMessage
              state: state
          peerAppliances:
          - null
          - null
          features:
            proximityRouting:
              version: version
              enabled: true
          folder:
            cmpId: cmpId
            name: name
            cmpName: cmpName
            id: id
            type: type
            status:
              errorMessage: errorMessage
              state: state
          serviceMeshId: serviceMeshId
          networkExtensionCount: 5
          applianceType: applianceType
          location: location
          stretchCapacity: 2
          config:
            trafficEnggCfg:
              isTcpFlowConditioningEnabled: true
              isAppPathResiliencyEnabled: true
            uplinkIps:
            - uplinkIps
            - uplinkIps
          status:
            summary:
              servicePipelineStatus: servicePipelineStatus
              wanOptStatus: wanOptStatus
              reasons:
              - reasons
              - reasons
              systemState: systemState
              transportSummary:
              - totalActiveTunnelCount: 7
                transportIp: transportIp
                aggregatedTunnelStatus: aggregatedTunnelStatus
                name: name
                totalTunnelCount: 4
              - totalActiveTunnelCount: 7
                transportIp: transportIp
                aggregatedTunnelStatus: aggregatedTunnelStatus
                name: name
                totalTunnelCount: 4
              overallEncryptionTunnelStatus: overallEncryptionTunnelStatus
              overallTransportStatus: overallTransportStatus
              encryptionTunnelSummary:
                totalActiveTunnelCount: 1
                aggregatedTunnelStatus: aggregatedTunnelStatus
                totalTunnelCount: 1
              overallStatus: overallStatus
            timestamp: 1
            statistics:
              Tunnels:
              - RemoteAddress: RemoteAddress
                LocalAddress: LocalAddress
                TunnelType: TunnelType
                LocalPort: LocalPort
                RemotePort: RemotePort
                Summary: Summary
                Counters:
                  RxPacketRate: 2.884162126668780246063761296682059764862060546875
                  RxPacketFrame: 5.02500479152029466689555192715488374233245849609375
                  TxPacketOverruns: 8.7620420127490010742121739895083010196685791015625
                  TxPacketCarrier: 9.0183481860707832566959041287191212177276611328125
                  TxBytes: 1.2846590061165319429647979632136411964893341064453125
                  RxBitRate: 6.87805222012787620400331434211693704128265380859375
                  RxPackets: 6.8468526983526398765889098285697400569915771484375
                  RxPacketOverruns: 4.9652184929849543237878606305457651615142822265625
                  TxPacketErrors: 9.3693102714106686335071572102606296539306640625
                  Collisions: 6.438423552598546706349225132726132869720458984375
                  TxPacketDropped: 6.683562403749608193948006373830139636993408203125
                  TxQueuelen: 3.557195227068097320710649000830017030239105224609375
                  TxPackets: 9.965781217890562260208753286860883235931396484375
                  RxBytes: 6.96511769763884558415156789124011993408203125
                  TxBitRate: 5.94489560761401580890606055618263781070709228515625
                  TxPacketRate: 6.77832496304801335185175048536621034145355224609375
                  RxPacketDropped: 1.173074250955943309548956676735542714595794677734375
                  RxPacketErrors: 7.4577447736837658709418974467553198337554931640625
                Id: Id
                Timestamp: Timestamp
                Detail: Detail
                Ikev2Status: Ikev2Status
              - RemoteAddress: RemoteAddress
                LocalAddress: LocalAddress
                TunnelType: TunnelType
                LocalPort: LocalPort
                RemotePort: RemotePort
                Summary: Summary
                Counters:
                  RxPacketRate: 2.884162126668780246063761296682059764862060546875
                  RxPacketFrame: 5.02500479152029466689555192715488374233245849609375
                  TxPacketOverruns: 8.7620420127490010742121739895083010196685791015625
                  TxPacketCarrier: 9.0183481860707832566959041287191212177276611328125
                  TxBytes: 1.2846590061165319429647979632136411964893341064453125
                  RxBitRate: 6.87805222012787620400331434211693704128265380859375
                  RxPackets: 6.8468526983526398765889098285697400569915771484375
                  RxPacketOverruns: 4.9652184929849543237878606305457651615142822265625
                  TxPacketErrors: 9.3693102714106686335071572102606296539306640625
                  Collisions: 6.438423552598546706349225132726132869720458984375
                  TxPacketDropped: 6.683562403749608193948006373830139636993408203125
                  TxQueuelen: 3.557195227068097320710649000830017030239105224609375
                  TxPackets: 9.965781217890562260208753286860883235931396484375
                  RxBytes: 6.96511769763884558415156789124011993408203125
                  TxBitRate: 5.94489560761401580890606055618263781070709228515625
                  TxPacketRate: 6.77832496304801335185175048536621034145355224609375
                  RxPacketDropped: 1.173074250955943309548956676735542714595794677734375
                  RxPacketErrors: 7.4577447736837658709418974467553198337554931640625
                Id: Id
                Timestamp: Timestamp
                Detail: Detail
                Ikev2Status: Ikev2Status
        - updateInfo:
            updateVersion:
              patch: 9
              major: 2
              minor: 7
              build: 3
            updateAvailable: true
          applianceId: applianceId
          applianceName: applianceName
          dvsId: dvsId
          moref: moref
          endpointId: endpointId
          cmpId: cmpId
          dvsName: dvsName
          applianceStatus:
            detailedMessage: detailedMessage
            state: state
          applianceVersion:
            patch: 9
            major: 2
            minor: 7
            build: 3
          storage:
            cmpId: cmpId
            name: name
            cmpName: cmpName
            cmpType: cmpType
            id: id
            type: type
            status:
              errorMessage: errorMessage
              state: state
          networks:
          - resourceId: resourceId
            networkDescription: networkDescription
            backingId: backingId
            interface: interface
            type: type
            prefixLength: 0
            provider: provider
            scope: scope
            networkId: networkId
            id: id
            networkType: networkType
            dvpgMoref: dvpgMoref
            backingType: backingType
            enableBridge: true
            vCenterInstanceId: vCenterInstanceId
            ip:
            - ip
            - ip
            dns:
            - dns
            - dns
            ipAddress: ipAddress
            bridgeConfig:
              flapThreshold: 1
              flapClearThreshold: 5
              localAddress: localAddress
              id: id
              remoteAddress: remoteAddress
            backingName: backingName
            mtu: 6
            tags:
            - tags
            - tags
            staticRoutes:
            - nextHop: nextHop
              network: network
            - nextHop: nextHop
              network: network
            resourcePoolId: resourcePoolId
            ipPoolId: ipPoolId
            stretchId: stretchId
            gateway: gateway
          - resourceId: resourceId
            networkDescription: networkDescription
            backingId: backingId
            interface: interface
            type: type
            prefixLength: 0
            provider: provider
            scope: scope
            networkId: networkId
            id: id
            networkType: networkType
            dvpgMoref: dvpgMoref
            backingType: backingType
            enableBridge: true
            vCenterInstanceId: vCenterInstanceId
            ip:
            - ip
            - ip
            dns:
            - dns
            - dns
            ipAddress: ipAddress
            bridgeConfig:
              flapThreshold: 1
              flapClearThreshold: 5
              localAddress: localAddress
              id: id
              remoteAddress: remoteAddress
            backingName: backingName
            mtu: 6
            tags:
            - tags
            - tags
            staticRoutes:
            - nextHop: nextHop
              network: network
            - nextHop: nextHop
              network: network
            resourcePoolId: resourcePoolId
            ipPoolId: ipPoolId
            stretchId: stretchId
            gateway: gateway
          computeProfileId: computeProfileId
          compute:
            cmpId: cmpId
            name: name
            cmpName: cmpName
            cmpType: cmpType
            id: id
            type: type
            status:
              errorMessage: errorMessage
              state: state
          peerAppliances:
          - null
          - null
          features:
            proximityRouting:
              version: version
              enabled: true
          folder:
            cmpId: cmpId
            name: name
            cmpName: cmpName
            id: id
            type: type
            status:
              errorMessage: errorMessage
              state: state
          serviceMeshId: serviceMeshId
          networkExtensionCount: 5
          applianceType: applianceType
          location: location
          stretchCapacity: 2
          config:
            trafficEnggCfg:
              isTcpFlowConditioningEnabled: true
              isAppPathResiliencyEnabled: true
            uplinkIps:
            - uplinkIps
            - uplinkIps
          status:
            summary:
              servicePipelineStatus: servicePipelineStatus
              wanOptStatus: wanOptStatus
              reasons:
              - reasons
              - reasons
              systemState: systemState
              transportSummary:
              - totalActiveTunnelCount: 7
                transportIp: transportIp
                aggregatedTunnelStatus: aggregatedTunnelStatus
                name: name
                totalTunnelCount: 4
              - totalActiveTunnelCount: 7
                transportIp: transportIp
                aggregatedTunnelStatus: aggregatedTunnelStatus
                name: name
                totalTunnelCount: 4
              overallEncryptionTunnelStatus: overallEncryptionTunnelStatus
              overallTransportStatus: overallTransportStatus
              encryptionTunnelSummary:
                totalActiveTunnelCount: 1
                aggregatedTunnelStatus: aggregatedTunnelStatus
                totalTunnelCount: 1
              overallStatus: overallStatus
            timestamp: 1
            statistics:
              Tunnels:
              - RemoteAddress: RemoteAddress
                LocalAddress: LocalAddress
                TunnelType: TunnelType
                LocalPort: LocalPort
                RemotePort: RemotePort
                Summary: Summary
                Counters:
                  RxPacketRate: 2.884162126668780246063761296682059764862060546875
                  RxPacketFrame: 5.02500479152029466689555192715488374233245849609375
                  TxPacketOverruns: 8.7620420127490010742121739895083010196685791015625
                  TxPacketCarrier: 9.0183481860707832566959041287191212177276611328125
                  TxBytes: 1.2846590061165319429647979632136411964893341064453125
                  RxBitRate: 6.87805222012787620400331434211693704128265380859375
                  RxPackets: 6.8468526983526398765889098285697400569915771484375
                  RxPacketOverruns: 4.9652184929849543237878606305457651615142822265625
                  TxPacketErrors: 9.3693102714106686335071572102606296539306640625
                  Collisions: 6.438423552598546706349225132726132869720458984375
                  TxPacketDropped: 6.683562403749608193948006373830139636993408203125
                  TxQueuelen: 3.557195227068097320710649000830017030239105224609375
                  TxPackets: 9.965781217890562260208753286860883235931396484375
                  RxBytes: 6.96511769763884558415156789124011993408203125
                  TxBitRate: 5.94489560761401580890606055618263781070709228515625
                  TxPacketRate: 6.77832496304801335185175048536621034145355224609375
                  RxPacketDropped: 1.173074250955943309548956676735542714595794677734375
                  RxPacketErrors: 7.4577447736837658709418974467553198337554931640625
                Id: Id
                Timestamp: Timestamp
                Detail: Detail
                Ikev2Status: Ikev2Status
              - RemoteAddress: RemoteAddress
                LocalAddress: LocalAddress
                TunnelType: TunnelType
                LocalPort: LocalPort
                RemotePort: RemotePort
                Summary: Summary
                Counters:
                  RxPacketRate: 2.884162126668780246063761296682059764862060546875
                  RxPacketFrame: 5.02500479152029466689555192715488374233245849609375
                  TxPacketOverruns: 8.7620420127490010742121739895083010196685791015625
                  TxPacketCarrier: 9.0183481860707832566959041287191212177276611328125
                  TxBytes: 1.2846590061165319429647979632136411964893341064453125
                  RxBitRate: 6.87805222012787620400331434211693704128265380859375
                  RxPackets: 6.8468526983526398765889098285697400569915771484375
                  RxPacketOverruns: 4.9652184929849543237878606305457651615142822265625
                  TxPacketErrors: 9.3693102714106686335071572102606296539306640625
                  Collisions: 6.438423552598546706349225132726132869720458984375
                  TxPacketDropped: 6.683562403749608193948006373830139636993408203125
                  TxQueuelen: 3.557195227068097320710649000830017030239105224609375
                  TxPackets: 9.965781217890562260208753286860883235931396484375
                  RxBytes: 6.96511769763884558415156789124011993408203125
                  TxBitRate: 5.94489560761401580890606055618263781070709228515625
                  TxPacketRate: 6.77832496304801335185175048536621034145355224609375
                  RxPacketDropped: 1.173074250955943309548956676735542714595794677734375
                  RxPacketErrors: 7.4577447736837658709418974467553198337554931640625
                Id: Id
                Timestamp: Timestamp
                Detail: Detail
                Ikev2Status: Ikev2Status
      properties:
        items:
          items:
            $ref: '#/components/schemas/appliance'
          type: array
      type: object
    applianceActionPostResponse:
      example:
        data:
          applianceId: applianceId
          interconnectTaskId: interconnectTaskId
        warnings:
        - message: message
        - message: message
        errors:
        - code: code
          message: message
        - code: code
          message: message
      properties:
        data:
          $ref: '#/components/schemas/applianceActionPostResponse_data'
        warnings:
          items:
            $ref: '#/components/schemas/warning'
          type: array
        errors:
          items:
            $ref: '#/components/schemas/error'
          type: array
      type: object
    appliance:
      example:
        updateInfo:
          updateVersion:
            patch: 9
            major: 2
            minor: 7
            build: 3
          updateAvailable: true
        applianceId: applianceId
        applianceName: applianceName
        dvsId: dvsId
        moref: moref
        endpointId: endpointId
        cmpId: cmpId
        dvsName: dvsName
        applianceStatus:
          detailedMessage: detailedMessage
          state: state
        applianceVersion:
          patch: 9
          major: 2
          minor: 7
          build: 3
        storage:
          cmpId: cmpId
          name: name
          cmpName: cmpName
          cmpType: cmpType
          id: id
          type: type
          status:
            errorMessage: errorMessage
            state: state
        networks:
        - resourceId: resourceId
          networkDescription: networkDescription
          backingId: backingId
          interface: interface
          type: type
          prefixLength: 0
          provider: provider
          scope: scope
          networkId: networkId
          id: id
          networkType: networkType
          dvpgMoref: dvpgMoref
          backingType: backingType
          enableBridge: true
          vCenterInstanceId: vCenterInstanceId
          ip:
          - ip
          - ip
          dns:
          - dns
          - dns
          ipAddress: ipAddress
          bridgeConfig:
            flapThreshold: 1
            flapClearThreshold: 5
            localAddress: localAddress
            id: id
            remoteAddress: remoteAddress
          backingName: backingName
          mtu: 6
          tags:
          - tags
          - tags
          staticRoutes:
          - nextHop: nextHop
            network: network
          - nextHop: nextHop
            network: network
          resourcePoolId: resourcePoolId
          ipPoolId: ipPoolId
          stretchId: stretchId
          gateway: gateway
        - resourceId: resourceId
          networkDescription: networkDescription
          backingId: backingId
          interface: interface
          type: type
          prefixLength: 0
          provider: provider
          scope: scope
          networkId: networkId
          id: id
          networkType: networkType
          dvpgMoref: dvpgMoref
          backingType: backingType
          enableBridge: true
          vCenterInstanceId: vCenterInstanceId
          ip:
          - ip
          - ip
          dns:
          - dns
          - dns
          ipAddress: ipAddress
          bridgeConfig:
            flapThreshold: 1
            flapClearThreshold: 5
            localAddress: localAddress
            id: id
            remoteAddress: remoteAddress
          backingName: backingName
          mtu: 6
          tags:
          - tags
          - tags
          staticRoutes:
          - nextHop: nextHop
            network: network
          - nextHop: nextHop
            network: network
          resourcePoolId: resourcePoolId
          ipPoolId: ipPoolId
          stretchId: stretchId
          gateway: gateway
        computeProfileId: computeProfileId
        compute:
          cmpId: cmpId
          name: name
          cmpName: cmpName
          cmpType: cmpType
          id: id
          type: type
          status:
            errorMessage: errorMessage
            state: state
        peerAppliances:
        - null
        - null
        features:
          proximityRouting:
            version: version
            enabled: true
        folder:
          cmpId: cmpId
          name: name
          cmpName: cmpName
          id: id
          type: type
          status:
            errorMessage: errorMessage
            state: state
        serviceMeshId: serviceMeshId
        networkExtensionCount: 5
        applianceType: applianceType
        location: location
        stretchCapacity: 2
        config:
          trafficEnggCfg:
            isTcpFlowConditioningEnabled: true
            isAppPathResiliencyEnabled: true
          uplinkIps:
          - uplinkIps
          - uplinkIps
        status:
          summary:
            servicePipelineStatus: servicePipelineStatus
            wanOptStatus: wanOptStatus
            reasons:
            - reasons
            - reasons
            systemState: systemState
            transportSummary:
            - totalActiveTunnelCount: 7
              transportIp: transportIp
              aggregatedTunnelStatus: aggregatedTunnelStatus
              name: name
              totalTunnelCount: 4
            - totalActiveTunnelCount: 7
              transportIp: transportIp
              aggregatedTunnelStatus: aggregatedTunnelStatus
              name: name
              totalTunnelCount: 4
            overallEncryptionTunnelStatus: overallEncryptionTunnelStatus
            overallTransportStatus: overallTransportStatus
            encryptionTunnelSummary:
              totalActiveTunnelCount: 1
              aggregatedTunnelStatus: aggregatedTunnelStatus
              totalTunnelCount: 1
            overallStatus: overallStatus
          timestamp: 1
          statistics:
            Tunnels:
            - RemoteAddress: RemoteAddress
              LocalAddress: LocalAddress
              TunnelType: TunnelType
              LocalPort: LocalPort
              RemotePort: RemotePort
              Summary: Summary
              Counters:
                RxPacketRate: 2.884162126668780246063761296682059764862060546875
                RxPacketFrame: 5.02500479152029466689555192715488374233245849609375
                TxPacketOverruns: 8.7620420127490010742121739895083010196685791015625
                TxPacketCarrier: 9.0183481860707832566959041287191212177276611328125
                TxBytes: 1.2846590061165319429647979632136411964893341064453125
                RxBitRate: 6.87805222012787620400331434211693704128265380859375
                RxPackets: 6.8468526983526398765889098285697400569915771484375
                RxPacketOverruns: 4.9652184929849543237878606305457651615142822265625
                TxPacketErrors: 9.3693102714106686335071572102606296539306640625
                Collisions: 6.438423552598546706349225132726132869720458984375
                TxPacketDropped: 6.683562403749608193948006373830139636993408203125
                TxQueuelen: 3.557195227068097320710649000830017030239105224609375
                TxPackets: 9.965781217890562260208753286860883235931396484375
                RxBytes: 6.96511769763884558415156789124011993408203125
                TxBitRate: 5.94489560761401580890606055618263781070709228515625
                TxPacketRate: 6.77832496304801335185175048536621034145355224609375
                RxPacketDropped: 1.173074250955943309548956676735542714595794677734375
                RxPacketErrors: 7.4577447736837658709418974467553198337554931640625
              Id: Id
              Timestamp: Timestamp
              Detail: Detail
              Ikev2Status: Ikev2Status
            - RemoteAddress: RemoteAddress
              LocalAddress: LocalAddress
              TunnelType: TunnelType
              LocalPort: LocalPort
              RemotePort: RemotePort
              Summary: Summary
              Counters:
                RxPacketRate: 2.884162126668780246063761296682059764862060546875
                RxPacketFrame: 5.02500479152029466689555192715488374233245849609375
                TxPacketOverruns: 8.7620420127490010742121739895083010196685791015625
                TxPacketCarrier: 9.0183481860707832566959041287191212177276611328125
                TxBytes: 1.2846590061165319429647979632136411964893341064453125
                RxBitRate: 6.87805222012787620400331434211693704128265380859375
                RxPackets: 6.8468526983526398765889098285697400569915771484375
                RxPacketOverruns: 4.9652184929849543237878606305457651615142822265625
                TxPacketErrors: 9.3693102714106686335071572102606296539306640625
                Collisions: 6.438423552598546706349225132726132869720458984375
                TxPacketDropped: 6.683562403749608193948006373830139636993408203125
                TxQueuelen: 3.557195227068097320710649000830017030239105224609375
                TxPackets: 9.965781217890562260208753286860883235931396484375
                RxBytes: 6.96511769763884558415156789124011993408203125
                TxBitRate: 5.94489560761401580890606055618263781070709228515625
                TxPacketRate: 6.77832496304801335185175048536621034145355224609375
                RxPacketDropped: 1.173074250955943309548956676735542714595794677734375
                RxPacketErrors: 7.4577447736837658709418974467553198337554931640625
              Id: Id
              Timestamp: Timestamp
              Detail: Detail
              Ikev2Status: Ikev2Status
      properties:
        applianceId:
          type: string
        applianceType:
          type: string
        applianceName:
          type: string
        serviceMeshId:
          type: string
        computeProfileId:
          type: string
        location:
          type: string
        endpointId:
          type: string
        peerAppliances:
          items:
            $ref: '#/components/schemas/appliance'
          type: array
        config:
          $ref: '#/components/schemas/appliancesConfig'
        applianceStatus:
          $ref: '#/components/schemas/appliances_applianceStatus'
        compute:
          $ref: '#/components/schemas/compute'
        storage:
          $ref: '#/components/schemas/storage'
        folder:
          $ref: '#/components/schemas/folder'
        networks:
          items:
            $ref: '#/components/schemas/applianceNetwork'
          type: array
        dvsId:
          type: string
        networkExtensionCount:
          type: integer
        dvsName:
          type: string
        moref:
          type: string
        cmpId:
          type: string
        applianceVersion:
          $ref: '#/components/schemas/applianceVersion'
        updateInfo:
          $ref: '#/components/schemas/applianceUpdateInfo'
        stretchCapacity:
          type: integer
        features:
          $ref: '#/components/schemas/appliances_features'
        status:
          $ref: '#/components/schemas/appliances_status'
      type: object
    appliancesConfig:
      additionalProperties: false
      description: Appliance configuration field.
      example:
        trafficEnggCfg:
          isTcpFlowConditioningEnabled: true
          isAppPathResiliencyEnabled: true
        uplinkIps:
        - uplinkIps
        - uplinkIps
      properties:
        uplinkIps:
          items:
            format: ipv4
            type: string
          type: array
        trafficEnggCfg:
          $ref: '#/components/schemas/trafficEnggCfg'
      type: object
    trafficEnggCfg:
      additionalProperties: false
      description: Service Mesh traffic engineering configuration options.
      example:
        isTcpFlowConditioningEnabled: true
        isAppPathResiliencyEnabled: true
      properties:
        isAppPathResiliencyEnabled:
          description: The HCX Service Mesh builds multiple transport tunnels to establish
            path diversity to the target, and intelligently directs HCX service traffic
            using the optimal path for performance and resiliency.
          type: boolean
        isTcpFlowConditioningEnabled:
          description: The HCX Service Mesh dynamically manages the TCP segment size
            to reduce packet fragmentation, optimizing transport performance and efficiency
            for HCX Network Extension traffic.
          type: boolean
      type: object
    compute:
      example:
        cmpId: cmpId
        name: name
        cmpName: cmpName
        cmpType: cmpType
        id: id
        type: type
        status:
          errorMessage: errorMessage
          state: state
      properties:
        cmpId:
          type: string
        cmpName:
          type: string
        cmpType:
          type: string
        type:
          type: string
        id:
          type: string
        name:
          type: string
        status:
          $ref: '#/components/schemas/status'
      required:
      - cmpId
      - id
      - type
      type: object
    status:
      additionalProperties: false
      example:
        errorMessage: errorMessage
        state: state
      properties:
        state:
          type: string
        errorMessage:
          type: string
      required:
      - state
      type: object
    storage:
      additionalProperties: false
      example:
        cmpId: cmpId
        name: name
        cmpName: cmpName
        cmpType: cmpType
        id: id
        type: type
        status:
          errorMessage: errorMessage
          state: state
      properties:
        cmpId:
          type: string
        cmpName:
          type: string
        cmpType:
          type: string
        type:
          type: string
        id:
          type: string
        name:
          type: string
        status:
          $ref: '#/components/schemas/status'
      required:
      - cmpId
      - id
      - type
      type: object
    folder:
      additionalProperties: false
      example:
        cmpId: cmpId
        name: name
        cmpName: cmpName
        id: id
        type: type
        status:
          errorMessage: errorMessage
          state: state
      properties:
        cmpId:
          type: string
        cmpName:
          type: string
        type:
          type: string
        id:
          type: string
        name:
          type: string
        status:
          $ref: '#/components/schemas/status'
      required:
      - cmpId
      - id
      - type
      type: object
    applianceNetwork:
      example:
        resourceId: resourceId
        networkDescription: networkDescription
        backingId: backingId
        interface: interface
        type: type
        prefixLength: 0
        provider: provider
        scope: scope
        networkId: networkId
        id: id
        networkType: networkType
        dvpgMoref: dvpgMoref
        backingType: backingType
        enableBridge: true
        vCenterInstanceId: vCenterInstanceId
        ip:
        - ip
        - ip
        dns:
        - dns
        - dns
        ipAddress: ipAddress
        bridgeConfig:
          flapThreshold: 1
          flapClearThreshold: 5
          localAddress: localAddress
          id: id
          remoteAddress: remoteAddress
        backingName: backingName
        mtu: 6
        tags:
        - tags
        - tags
        staticRoutes:
        - nextHop: nextHop
          network: network
        - nextHop: nextHop
          network: network
        resourcePoolId: resourcePoolId
        ipPoolId: ipPoolId
        stretchId: stretchId
        gateway: gateway
      properties:
        id:
          type: string
        interface:
          type: string
        backingId:
          type: string
        backingType:
          type: string
        backingName:
          type: string
        vCenterInstanceId:
          type: string
        prefixLength:
          type: integer
        gateway:
          format: ipv4
          type: string
        mtu:
          type: integer
        networkDescription:
          type: string
        scope:
          type: string
        ipPoolId:
          type: string
        type:
          type: string
        networkId:
          type: string
        provider:
          type: string
        tags:
          items:
            type: string
          type: array
        dns:
          items:
            type: string
          type: array
        ip:
          items:
            format: ipv4
            type: string
          type: array
        resourcePoolId:
          type: string
        resourceId:
          type: string
        enableBridge:
          type: boolean
        staticRoutes:
          items:
            $ref: '#/components/schemas/networkStaticRoute'
          type: array
        stretchId:
          type: string
        ipAddress:
          format: ipv4
          type: string
        networkType:
          type: string
        dvpgMoref:
          type: string
        bridgeConfig:
          $ref: '#/components/schemas/networkBridgeConfig'
      type: object
    networkStaticRoute:
      example:
        nextHop: nextHop
        network: network
      properties:
        network:
          type: string
        nextHop:
          type: string
      required:
      - network
      - nextHop
      type: object
    networkBridgeConfig:
      example:
        flapThreshold: 1
        flapClearThreshold: 5
        localAddress: localAddress
        id: id
        remoteAddress: remoteAddress
      properties:
        id:
          type: string
        localAddress:
          type: string
        remoteAddress:
          type: string
        flapThreshold:
          type: integer
        flapClearThreshold:
          type: integer
      type: object
    applianceVersion:
      example:
        patch: 9
        major: 2
        minor: 7
        build: 3
      properties:
        major:
          type: integer
        minor:
          type: integer
        patch:
          type: integer
        build:
          format: int64
          type: integer
      type: object
    applianceUpdateInfo:
      example:
        updateVersion:
          patch: 9
          major: 2
          minor: 7
          build: 3
        updateAvailable: true
      properties:
        updateAvailable:
          type: boolean
        updateVersion:
          $ref: '#/components/schemas/applianceVersion'
      type: object
    error:
      example:
        code: code
        message: message
      properties:
        code:
          type: string
        message:
          type: string
      type: object
    warning:
      example:
        message: message
      properties:
        message:
          type: string
      type: object
    appliances_applianceStatus:
      example:
        detailedMessage: detailedMessage
        state: state
      properties:
        state:
          type: string
        detailedMessage:
          type: string
    appliances_features_proximityRouting:
      example:
        version: version
        enabled: true
      properties:
        enabled:
          type: boolean
        version:
          type: string
    appliances_features:
      example:
        proximityRouting:
          version: version
          enabled: true
      properties:
        proximityRouting:
          $ref: '#/components/schemas/appliances_features_proximityRouting'
    appliances_status_summary_transportSummary:
      example:
        totalActiveTunnelCount: 7
        transportIp: transportIp
        aggregatedTunnelStatus: aggregatedTunnelStatus
        name: name
        totalTunnelCount: 4
      properties:
        transportIp:
          format: ipv4
          type: string
        name:
          type: string
        totalTunnelCount:
          type: integer
        totalActiveTunnelCount:
          type: integer
        aggregatedTunnelStatus:
          type: string
    appliances_status_summary_encryptionTunnelSummary:
      example:
        totalActiveTunnelCount: 1
        aggregatedTunnelStatus: aggregatedTunnelStatus
        totalTunnelCount: 1
      properties:
        totalActiveTunnelCount:
          type: integer
        aggregatedTunnelStatus:
          type: string
        totalTunnelCount:
          type: integer
    appliances_status_summary:
      example:
        servicePipelineStatus: servicePipelineStatus
        wanOptStatus: wanOptStatus
        reasons:
        - reasons
        - reasons
        systemState: systemState
        transportSummary:
        - totalActiveTunnelCount: 7
          transportIp: transportIp
          aggregatedTunnelStatus: aggregatedTunnelStatus
          name: name
          totalTunnelCount: 4
        - totalActiveTunnelCount: 7
          transportIp: transportIp
          aggregatedTunnelStatus: aggregatedTunnelStatus
          name: name
          totalTunnelCount: 4
        overallEncryptionTunnelStatus: overallEncryptionTunnelStatus
        overallTransportStatus: overallTransportStatus
        encryptionTunnelSummary:
          totalActiveTunnelCount: 1
          aggregatedTunnelStatus: aggregatedTunnelStatus
          totalTunnelCount: 1
        overallStatus: overallStatus
      properties:
        overallStatus:
          type: string
        overallTransportStatus:
          type: string
        servicePipelineStatus:
          type: string
        overallEncryptionTunnelStatus:
          type: string
        transportSummary:
          items:
            $ref: '#/components/schemas/appliances_status_summary_transportSummary'
          type: array
        encryptionTunnelSummary:
          $ref: '#/components/schemas/appliances_status_summary_encryptionTunnelSummary'
        wanOptStatus:
          type: string
        systemState:
          type: string
        reasons:
          items:
            type: string
          type: array
    appliances_status_statistics_Counters:
      example:
        RxPacketRate: 2.884162126668780246063761296682059764862060546875
        RxPacketFrame: 5.02500479152029466689555192715488374233245849609375
        TxPacketOverruns: 8.7620420127490010742121739895083010196685791015625
        TxPacketCarrier: 9.0183481860707832566959041287191212177276611328125
        TxBytes: 1.2846590061165319429647979632136411964893341064453125
        RxBitRate: 6.87805222012787620400331434211693704128265380859375
        RxPackets: 6.8468526983526398765889098285697400569915771484375
        RxPacketOverruns: 4.9652184929849543237878606305457651615142822265625
        TxPacketErrors: 9.3693102714106686335071572102606296539306640625
        Collisions: 6.438423552598546706349225132726132869720458984375
        TxPacketDropped: 6.683562403749608193948006373830139636993408203125
        TxQueuelen: 3.557195227068097320710649000830017030239105224609375
        TxPackets: 9.965781217890562260208753286860883235931396484375
        RxBytes: 6.96511769763884558415156789124011993408203125
        TxBitRate: 5.94489560761401580890606055618263781070709228515625
        TxPacketRate: 6.77832496304801335185175048536621034145355224609375
        RxPacketDropped: 1.173074250955943309548956676735542714595794677734375
        RxPacketErrors: 7.4577447736837658709418974467553198337554931640625
      properties:
        RxPackets:
          type: number
        RxPacketErrors:
          type: number
        RxPacketDropped:
          type: number
        RxPacketOverruns:
          type: number
        RxPacketFrame:
          type: number
        TxPackets:
          type: number
        TxPacketErrors:
          type: number
        TxPacketDropped:
          type: number
        TxPacketOverruns:
          type: number
        TxPacketCarrier:
          type: number
        Collisions:
          type: number
        TxQueuelen:
          type: number
        RxBytes:
          type: number
        TxBytes:
          type: number
        RxPacketRate:
          type: number
        TxPacketRate:
          type: number
        RxBitRate:
          type: number
        TxBitRate:
          type: number
    appliances_status_statistics_Tunnels:
      example:
        RemoteAddress: RemoteAddress
        LocalAddress: LocalAddress
        TunnelType: TunnelType
        LocalPort: LocalPort
        RemotePort: RemotePort
        Summary: Summary
        Counters:
          RxPacketRate: 2.884162126668780246063761296682059764862060546875
          RxPacketFrame: 5.02500479152029466689555192715488374233245849609375
          TxPacketOverruns: 8.7620420127490010742121739895083010196685791015625
          TxPacketCarrier: 9.0183481860707832566959041287191212177276611328125
          TxBytes: 1.2846590061165319429647979632136411964893341064453125
          RxBitRate: 6.87805222012787620400331434211693704128265380859375
          RxPackets: 6.8468526983526398765889098285697400569915771484375
          RxPacketOverruns: 4.9652184929849543237878606305457651615142822265625
          TxPacketErrors: 9.3693102714106686335071572102606296539306640625
          Collisions: 6.438423552598546706349225132726132869720458984375
          TxPacketDropped: 6.683562403749608193948006373830139636993408203125
          TxQueuelen: 3.557195227068097320710649000830017030239105224609375
          TxPackets: 9.965781217890562260208753286860883235931396484375
          RxBytes: 6.96511769763884558415156789124011993408203125
          TxBitRate: 5.94489560761401580890606055618263781070709228515625
          TxPacketRate: 6.77832496304801335185175048536621034145355224609375
          RxPacketDropped: 1.173074250955943309548956676735542714595794677734375
          RxPacketErrors: 7.4577447736837658709418974467553198337554931640625
        Id: Id
        Timestamp: Timestamp
        Detail: Detail
        Ikev2Status: Ikev2Status
      properties:
        Id:
          type: string
        LocalAddress:
          type: string
        LocalPort:
          type: string
        RemoteAddress:
          type: string
        RemotePort:
          type: string
        Timestamp:
          type: string
        Summary:
          type: string
        Detail:
          type: string
        Ikev2Status:
          type: string
        Counters:
          $ref: '#/components/schemas/appliances_status_statistics_Counters'
        TunnelType:
          type: string
    appliances_status_statistics:
      example:
        Tunnels:
        - RemoteAddress: RemoteAddress
          LocalAddress: LocalAddress
          TunnelType: TunnelType
          LocalPort: LocalPort
          RemotePort: RemotePort
          Summary: Summary
          Counters:
            RxPacketRate: 2.884162126668780246063761296682059764862060546875
            RxPacketFrame: 5.02500479152029466689555192715488374233245849609375
            TxPacketOverruns: 8.7620420127490010742121739895083010196685791015625
            TxPacketCarrier: 9.0183481860707832566959041287191212177276611328125
            TxBytes: 1.2846590061165319429647979632136411964893341064453125
            RxBitRate: 6.87805222012787620400331434211693704128265380859375
            RxPackets: 6.8468526983526398765889098285697400569915771484375
            RxPacketOverruns: 4.9652184929849543237878606305457651615142822265625
            TxPacketErrors: 9.3693102714106686335071572102606296539306640625
            Collisions: 6.438423552598546706349225132726132869720458984375
            TxPacketDropped: 6.683562403749608193948006373830139636993408203125
            TxQueuelen: 3.557195227068097320710649000830017030239105224609375
            TxPackets: 9.965781217890562260208753286860883235931396484375
            RxBytes: 6.96511769763884558415156789124011993408203125
            TxBitRate: 5.94489560761401580890606055618263781070709228515625
            TxPacketRate: 6.77832496304801335185175048536621034145355224609375
            RxPacketDropped: 1.173074250955943309548956676735542714595794677734375
            RxPacketErrors: 7.4577447736837658709418974467553198337554931640625
          Id: Id
          Timestamp: Timestamp
          Detail: Detail
          Ikev2Status: Ikev2Status
        - RemoteAddress: RemoteAddress
          LocalAddress: LocalAddress
          TunnelType: TunnelType
          LocalPort: LocalPort
          RemotePort: RemotePort
          Summary: Summary
          Counters:
            RxPacketRate: 2.884162126668780246063761296682059764862060546875
            RxPacketFrame: 5.02500479152029466689555192715488374233245849609375
            TxPacketOverruns: 8.7620420127490010742121739895083010196685791015625
            TxPacketCarrier: 9.0183481860707832566959041287191212177276611328125
            TxBytes: 1.2846590061165319429647979632136411964893341064453125
            RxBitRate: 6.87805222012787620400331434211693704128265380859375
            RxPackets: 6.8468526983526398765889098285697400569915771484375
            RxPacketOverruns: 4.9652184929849543237878606305457651615142822265625
            TxPacketErrors: 9.3693102714106686335071572102606296539306640625
            Collisions: 6.438423552598546706349225132726132869720458984375
            TxPacketDropped: 6.683562403749608193948006373830139636993408203125
            TxQueuelen: 3.557195227068097320710649000830017030239105224609375
            TxPackets: 9.965781217890562260208753286860883235931396484375
            RxBytes: 6.96511769763884558415156789124011993408203125
            TxBitRate: 5.94489560761401580890606055618263781070709228515625
            TxPacketRate: 6.77832496304801335185175048536621034145355224609375
            RxPacketDropped: 1.173074250955943309548956676735542714595794677734375
            RxPacketErrors: 7.4577447736837658709418974467553198337554931640625
          Id: Id
          Timestamp: Timestamp
          Detail: Detail
          Ikev2Status: Ikev2Status
      properties:
        Tunnels:
          items:
            $ref: '#/components/schemas/appliances_status_statistics_Tunnels'
          type: array
    appliances_status:
      example:
        summary:
          servicePipelineStatus: servicePipelineStatus
          wanOptStatus: wanOptStatus
          reasons:
          - reasons
          - reasons
          systemState: systemState
          transportSummary:
          - totalActiveTunnelCount: 7
            transportIp: transportIp
            aggregatedTunnelStatus: aggregatedTunnelStatus
            name: name
            totalTunnelCount: 4
          - totalActiveTunnelCount: 7
            transportIp: transportIp
            aggregatedTunnelStatus: aggregatedTunnelStatus
            name: name
            totalTunnelCount: 4
          overallEncryptionTunnelStatus: overallEncryptionTunnelStatus
          overallTransportStatus: overallTransportStatus
          encryptionTunnelSummary:
            totalActiveTunnelCount: 1
            aggregatedTunnelStatus: aggregatedTunnelStatus
            totalTunnelCount: 1
          overallStatus: overallStatus
        timestamp: 1
        statistics:
          Tunnels:
          - RemoteAddress: RemoteAddress
            LocalAddress: LocalAddress
            TunnelType: TunnelType
            LocalPort: LocalPort
            RemotePort: RemotePort
            Summary: Summary
            Counters:
              RxPacketRate: 2.884162126668780246063761296682059764862060546875
              RxPacketFrame: 5.02500479152029466689555192715488374233245849609375
              TxPacketOverruns: 8.7620420127490010742121739895083010196685791015625
              TxPacketCarrier: 9.0183481860707832566959041287191212177276611328125
              TxBytes: 1.2846590061165319429647979632136411964893341064453125
              RxBitRate: 6.87805222012787620400331434211693704128265380859375
              RxPackets: 6.8468526983526398765889098285697400569915771484375
              RxPacketOverruns: 4.9652184929849543237878606305457651615142822265625
              TxPacketErrors: 9.3693102714106686335071572102606296539306640625
              Collisions: 6.438423552598546706349225132726132869720458984375
              TxPacketDropped: 6.683562403749608193948006373830139636993408203125
              TxQueuelen: 3.557195227068097320710649000830017030239105224609375
              TxPackets: 9.965781217890562260208753286860883235931396484375
              RxBytes: 6.96511769763884558415156789124011993408203125
              TxBitRate: 5.94489560761401580890606055618263781070709228515625
              TxPacketRate: 6.77832496304801335185175048536621034145355224609375
              RxPacketDropped: 1.173074250955943309548956676735542714595794677734375
              RxPacketErrors: 7.4577447736837658709418974467553198337554931640625
            Id: Id
            Timestamp: Timestamp
            Detail: Detail
            Ikev2Status: Ikev2Status
          - RemoteAddress: RemoteAddress
            LocalAddress: LocalAddress
            TunnelType: TunnelType
            LocalPort: LocalPort
            RemotePort: RemotePort
            Summary: Summary
            Counters:
              RxPacketRate: 2.884162126668780246063761296682059764862060546875
              RxPacketFrame: 5.02500479152029466689555192715488374233245849609375
              TxPacketOverruns: 8.7620420127490010742121739895083010196685791015625
              TxPacketCarrier: 9.0183481860707832566959041287191212177276611328125
              TxBytes: 1.2846590061165319429647979632136411964893341064453125
              RxBitRate: 6.87805222012787620400331434211693704128265380859375
              RxPackets: 6.8468526983526398765889098285697400569915771484375
              RxPacketOverruns: 4.9652184929849543237878606305457651615142822265625
              TxPacketErrors: 9.3693102714106686335071572102606296539306640625
              Collisions: 6.438423552598546706349225132726132869720458984375
              TxPacketDropped: 6.683562403749608193948006373830139636993408203125
              TxQueuelen: 3.557195227068097320710649000830017030239105224609375
              TxPackets: 9.965781217890562260208753286860883235931396484375
              RxBytes: 6.96511769763884558415156789124011993408203125
              TxBitRate: 5.94489560761401580890606055618263781070709228515625
              TxPacketRate: 6.77832496304801335185175048536621034145355224609375
              RxPacketDropped: 1.173074250955943309548956676735542714595794677734375
              RxPacketErrors: 7.4577447736837658709418974467553198337554931640625
            Id: Id
            Timestamp: Timestamp
            Detail: Detail
            Ikev2Status: Ikev2Status
      properties:
        summary:
          $ref: '#/components/schemas/appliances_status_summary'
        timestamp:
          format: int64
          type: integer
        statistics:
          $ref: '#/components/schemas/appliances_status_statistics'
    appliancesFilter_filter:
      properties:
        serviceMeshId:
          type: string
        applianceType:
          type: string
        endpointId:
          type: string
    applianceSettings_credentials:
      properties:
        username:
          type: string
        password:
          type: string
    applianceActionPostResponse_data:
      example:
        applianceId: applianceId
        interconnectTaskId: interconnectTaskId
      properties:
        interconnectTaskId:
          type: string
        applianceId:
          type: string
  securitySchemes:
    x-hm-authorization:
      description: Obtained from /hybridity/api/session
      in: header
      name: x-hm-authorization
      type: apiKey
